<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $table = 'categories';
    protected $fillable = ['name', 'image', 'status', 'parent_id', 'car_option'];
    protected $casts = ['name' => 'json'];


    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/categories/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/categories') . '/' . $this->attributes['image'];
        }
        return asset('images/users/default.jpg');
    }

    public function deleteImage()
    {
        @unlink(public_path('images/categories/' . $this->attributes['image']));
        foreach ($this->categories as $category) {
            @unlink(public_path('images/categories/' . $category->attributes['image']));
        }
    }


    public function parent()
    {
        return $this->belongsTo(Category::class, 'parent_id');
    }

    public function categories()
    {
        return $this->hasMany(Category::class, 'parent_id');
    }

    public function additional()
    {
        return $this->hasMany(AdditionalType::class, 'category_id');
    }

    public function products()
    {
        return $this->hasMany(Product::class, 'category_id');
    }

    public function setting()
    {
        return $this->hasMany(Setting::class, 'category_id');
    }
}
