@extends('admin.layout.master')
@section('title', 'انواع الاعلان')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">انواع الاعلان</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('additional_types.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم باللغة العربية</label>
                                <input type="text" class="form-control" value="{{old('name_ar')}}" required
                                       name="name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة العربية">
                                @if ($errors->has('name_ar'))
                                    <small class="text-danger">{{ $errors->first('name_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="{{old('name_en')}}" required
                                       name="name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة الإنجليزية">
                                @if ($errors->has('name_en'))
                                    <small class="text-danger">{{ $errors->first('name_en') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleSelect1">الحراجات</label>
                                <select name="category_id" class="form-control" id="category_parent">
                                    <option></option>
                                    @foreach($categories as $category)
                                        <option value="{{$category->id}}">{{$category->name['ar']}}</option>
                                    @endforeach
                                </select>
                                @if ($errors->has('category_id'))
                                    <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                @endif
                            </div>
                            <div class="form-group" style="display: none" id="sub_category">
                                <label for="exampleSelect1">الاقسام</label>
                                <select name="sub_category" id="sub_children" class="form-control">
                                </select>
                            </div>
                            <div class="form-group" style="display: none" id="div_children_sub_category">
                                <label for="exampleSelect1">الاقسام الفرعية</label>
                                <select name="sub_sub_category" id="children_category" class="form-control">
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    <option value="active">مفعل</option>
                                    <option value="not_active">غير مفعل</option>
                                </select>
                                @if ($errors->has('status'))
                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                @endif
                            </div>

                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">

                                        <h4 class="header-title mb-4">صورة</h4>

                                        <input type="file" name="image"  class="dropify" data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                            </div>
                            @if ($errors->has('image'))
                                <small class="text-danger">{{ $errors->first('image') }}</small>
                            @endif
                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
