@extends('admin.layout.master')
@section('title', "الأقسام الفرعية")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الأقسام الفرعية الخاصة بقسم {{$category->name['ar']}}  </h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                @include('admin.layout.message')

                <h4 class="header-title">الأقسام الفرعية الخاصة بقسم {{$category->name['ar']}}  </h4>
                <p class="sub-header">
                         <a href="{{route('subcategories.create',$category->id)}}">
                            <button class="btn btn-success">
                                إنشاء جديد
                            </button>
                        </a>

                </p>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>الإسم باللغة العربية</th>
                        <th>الإسم باللغة الإنجليزية</th>
                        <th>الصورة</th>
                        <th>الحالة</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->name['ar']}}</td>
                            <td>{{$row->name['en']}}</td>
                            <td><img style="width: 150px;height: 150px;" alt="{{$row->name['ar']}}"
                                     src="{{$row->image}}"></td>
                            <td>{{($row->status == 'active') ? "مفعل" : "غير مفعل"}}</td>
                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>


                                <a href="{{route('subcategories.edit',$row->id)}}">
                                    <button type="button"
                                            class="btn btn-info waves-effect waves-light">تعديل
                                    </button>
                                </a>
                                @if($row->parent->parent == null)
                                    <a href="{{route('categories.show',$row->id)}}">
                                        <button type="button"
                                                class="btn btn-success waves-effect waves-light">الأقسام الفرعية
                                        </button>
                                    </a>
                                @endif
                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('categories.destroy',$row->id)}}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
